[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Lenny-LiveCD boot error ("/bin/sh: can't access tty ...")

> Can be because fstype does not detect the filesystem type of squashfs 3.3
> files.
> I propose the following patch for live-initramfs, where the filesystem
> type, if not detected, is assumed from the file extension.
this patch works well with kernel 2.6.24,
but this patch does not solve the problem in testing,
the squashfs version is 3.2 for the kernel in testing 

apt-cache policy  squashfs-modules-2.6.22-3-686
     2.6.22+3.2r2-9 0
        990 http://ftp.debian.org testing/main Packages

and squashfs-tools is only available in version 3.3 in any of testing or 

apt-cache policy  squashfs-tools
     1:3.3-3 0
        990 http://ftp.debian.org testing/main Packages
          9 http://ftp.debian.org unstable/main Packages

Is that the available packages do not allow to do a correct install in 
testing ?

The only way is using the packages for kernel 2.6.24 in unstable ?

Reply to: